Package Details: pianobooster-qt5-git r1053.94c58b1-1

Git Clone URL: https://aur.archlinux.org/pianobooster-qt5-git.git (read-only, click to copy)
Package Base: pianobooster-qt5-git
Description: MIDI file player that teaches you how to play the piano (Qt5 port with fixes
Upstream URL: https://github.com/captnfab/PianoBooster
Licenses: GPL3
Conflicts: pianobooster
Submitter: jose1711
Maintainer: jose1711
Last Packager: jose1711
Votes: 1
Popularity: 0.102566
First Submitted: 2019-01-28 13:37
Last Updated: 2019-08-24 12:30

Latest Comments

C0rn3j commented on 2019-08-23 10:21

Please remove the font patch, the issue seems to have been fixed upstream some time ago https://github.com/captnfab/PianoBooster/blob/master/src/Draw.h#L87

"src/" needs to be removed from the following line as the file seems to have moved

install -Dm664 "src/${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"

After those two changes the package compiles.

Compared to the official PKGBUILD this is missing a rtmidi dependency, and is overall broken (won't detect piano, errors in terminal due to missing song library,...)

https://github.com/captnfab/PianoBooster/blob/master/pkgs/arch/PKGBUILD